#include "memsize.h"
:userdoc.
:title.'Systemresourcen' Hilfe
:body.

:h1 res=ID_MAIN.Einfhrung
:i1.Einfhrung
:artwork name='memsize.bmp' align=center.
:p.
Dieses Programm zeigt verschiedene Informationen im Zusammenhang mit
Systemresourcen.  Die Anzeige wird einmal pro Sekunde angepat, sofern
das Programm hierfr CPU-Zeit erhlt.  Die angezeigten Informationen sind:
:p.
:hp2.Datum/Zeit:ehp2. - Laufendes Datum und Uhrzeit in dem Format, wie
es die Lnderspezifikation fr Ihr System in dem COUNTRY-Eintrag Ihrer
CONFIG.SYS-Datei vorschreibt.
:p.
:hp2.Abgelaufene Zeit:ehp2. - Die Zeit, die seit dem letzten Neustart des
Computers abgelaufen ist.
:p.
:hp2.Physical Memory Free:ehp2. - Der verfgbare Systemspeicher nach Angabe
der Funktion :hp1.DosMemAvail:ehp1..
Unter OS/2 2.0 wird das Maximum zwischen dem wahren Betrag unbenutzten
physischen Speichers und 512K angegeben.
:p.
:hp2.Virtual Memory Free:ehp2. - The amount of virtual memory
available, according to the :hp1.DosQuerySysInfo:ehp1. function.
This is the amount of free physical memory, plus the amount of
free space within the current swapping file, plus the amount of
space by which the swapping file could yet grow, less the amount
of free space reserved on the swapping drive.
:p.
:hp2.Swap-Gre:ehp2. - Die augenblickliche Gre der
Auslagerungsdatei des virtuellen Speichers (SWAPPER.DAT). Um diese
Datei zu finden, wird die Datei CONFIG.SYS nach
dem SWAPPATH-Eintrag durchsucht.  Dieser Eintrag liefert den vollen
Namen des Verzeichnisses der Auslagerungsdatei und zeigt den minimalen
Speicherplatz an, der auf dem Laufwerk der Auslagerungsdatei frei
bleiben mu.
:p.
:hp2.Freier Swap-Platz:ehp2. -  Der Betrag des freien
Plattenplatz auf dem logischen Laufwerk der Auslagerungsdatei
abzglich des minimalen freibleibenden Platzes. Diese Zahl
zeigt an, wie weit die Auslagerungsdatei im Bedarfsfall ausgedehnt
werden knnte.
:p.
:hp2.Spool-Gre:ehp2. - Der Betrag an Plattenplatz, der von
Spool-Dateien verbraucht wird.
:p.
:hp2.CPU-Last (%):ehp2. - Die ungefhre Prozentzahl der verfgbaren
CPU-Leistung, die in diesem Moment gebraucht wird.  Sie wird ber die
vergangene Sekunde gemittelt.
:note.Diese Funktion und  PULSE behindern sich gegenseitig.
:p.
:hp2.Anzahl aktiver Tasks:ehp2. - Die Anzahl der Eintrge in der
System-Fensterliste; das ist die Liste, die angezeigt wird,
wenn Sie CTRL+ESC drcken.
:note.Es werden nicht unbedingt alle Eintrge in der System-Taskliste
in der Fensterliste angezeigt.  Einige knnen als `nicht anzuzeigen'
markiert sein.
:p.
:hp2.Insgesamt freier Plattenplatz:ehp2. - Die Summe des freien Platzes auf
allen Festplatten.
:p.
:hp2.Auf Laufwerk X frei:ehp2. - Der Betrag freien Speichers auf Laufwerk X.
:p.
Wie Sie schon gesehen haben, ist die Hilfeeinrichtung aktiv und die
existierenden Kommandos knnen ber das System-Men des Fensters
angesprochen werden.  Die folgenden Kommandos sind verfgbar:
:sl compact.
:li.:hpt.Werte speichern:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Standardwerte:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Ohne Rahmen:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Konfiguration...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Produktinformation:ehpt.:hdref res=IDM_ABOUT.
:esl.:p.
Auer den schon beschriebenen Vorrichtungen akzeptiert das Programm
auch Kommandos von den OS/2 2.0-Programmen zur Farb- und Schriftartpalette.

:h1 res=IDM_SAVE_APPLICATION.Werte speichern (Men-Option)
:i1.Werte speichern (Men-Option)
Bei Selektion dieser Men-Option speichert das Programm seine
augenblickliche Position und den Zustand des Rahmens.
Beim nchsten Programmstart wird das Fenster an der gleichen Position
und entweder mit oder ohne Rahmen erscheinen, entsprechend dem
gespeicherten Zustand.
:p.
:note.Dieses Kommando kann ber F2 direkt ausgefhrt werden.

:h1 res=IDM_RESET_DEFAULTS.Standardwerte (Men-Option)
:i1.Standardwerte (Men-Option)
Diese Men-Option setzt die Schriftart- und Farbattribute des
Programms auf ihre Standardwerte zurck.

:h1 res=IDM_HIDE_CONTROLS.Ohne Rahmen (Men-Option)
:i1.Ohne Rahmen (Men-Option)
Diese Men-Option verbirgt den Rahmen des Programmfensters, d.h. also
das System-Men, den Titelbalken und den Knopf fr Symbolgre.  Mit
einem Doppelklick auf irgendeinen Mausknopf kann diese Option
umgeschaltet werden.  Da ich es fr ntzlich hielt, das Fenster
bewegen zu knnen, auch wenn der Rahmen verborgen ist, wurde das
Fenster so eingerichtet, da es mit jedem Mausknopf verschoben werden
kann.
:p.
:note.Dieses Kommando kann ber ALT+H direkt ausgefhrt werden.

:h1 res=IDM_CONFIGURE.Konfiguration (Men-Option)
:i1.Konfiguration (Men-Option)
Diese Men-Option fhrt zur Anzeige des Konfigurationsdialogs fr das Programm.  
:note.Dieses Kommando kann ber Alt+C direkt ausgefhrt werden.

:h1 res=IDD_CONFIGURE.Konfiguration (Dialog)
:i1.Konfiguration (Dialog)
Dieser Dialog erlaubt Ihnen, alle konfigurierbaren Aspekte des
Programms zu verndern.  Um ohne alle nderungen abzubrechen, drcken Sie auf
die ESC-Taste oder klicken auf den Abbruch-Knopf.
Um die gemachten nderungen zu retten, drcken Sie die ENTER-Taste oder 
klicken auf den OK-Knopf.
.br
Konfigurierbar sind unter anderem:
:p.
:hp2.Angezeigte Details:ehp2.
Sie knnen beliebige Details aus der Liste der verfgbaren Anzeigedaten
auswhlen.  Klicken Sie einfach auf einen Eintrag, um ihn hervorzuheben,
ein zweites Mal, um die Hervorhebung aufzuheben.  Hervorgehobene Details
werken berwacht und angezeigt.
:p.
:hp2.Ohne Rahmen:ehp2.
Wenn die Uhr nicht auf Symbolgre reduziert ist, kann sie mit oder ohne 
Titelbalken und die Knpfe fr Kontextmen, Symbolgre und maximale Gre 
angezeigt werden.  If you chose to hide these controls, the window may still 
be positioned by dragging its center area.
:p.
:hp2.Immer oberstes Fenster:ehp2.
Wenn dieser Knopf markiert ist, wird das Programmfenster immer auf die Spitze
des Fensterstapels aufsteigen, so da es stndig sichtbar bleibt.
:p.
:hp2.Animation:ehp2.
Dieser Knopf aktiviert die Animation beim ffnen &amp. Schlieen des 
Fensters.  Wenn die Animation aktiv ist, ffnet und schliet sich das
Programmfenster in derselben Art und Weise wie Ordner-Objekte, d.h. also mit
Gerusch und Bewegung.  Animation erfolgt jedoch wie bei den Ordner-Objekten
nur, wenn sie auf System-Ebene eingeschaltet ist.
:p.
:hp2.Dateisystemtypen anzeigen:ehp2.
Diese Option bewirkt, da die Eintrge fr den freien Platz der einzelnen 
Laufwerke auch den Dateisystemtyp auflisten.  Eine Nebenwirkung ist, da 
das Programmfenster breiter wird.
:p.
:hp2.Show Disk Labels:ehp2.
This button causes the individual drive free space entries to show their
disk labels.  Use of this option results in a wider monitor window.
:p.
:hp2.Monitor-Prioritt:ehp2.
Diese Steuermglichkeit erlaubt Ihnen, die absolute Prioritt des 
Monitor-Threads des Programms innerhalb der zeitkritischen Priorittsklasse
zu verndern.  Sie knnen die Prioritt zwischen 0 und 31 verndern.  
Prioritt 31 ist die hchstmgliche Prioritt im System, abgesehen von 
Hardware-Unterbrechungen.  Prioritt 0 ist einfach die niedrigste Prioritt
innerhalb der zeitkritischen Klasse.  Normalerweise sollten Sie die maximale
Prioritt whlen, um eine grtmgliche Genauigkeit der Systemberwachung zu
erhalten.  Allerdings haben sich manche beschwert, da ihre 
Kommunikationsprogramme gelegentlich Daten verlieren, wenn dieses Programm
luft.  Aus diesem Grund ist die Prioritt nun variabel.
:p.
:hp2.Wecker-Intervall:ehp2.
Diese Option erlaubt Ihnen, das Intervall zwischen Anpassungen des 
Monitor-Fensters festzulegen.  Es kann zwischen 1.0 und 30.0 Sekunden in
Abstnden von 1/10 Sekunde verndert werden.  Die angezeigte Zahl bezieht 
sich auf Zehntelsekunden.

:h1 res=IDM_ABOUT.Produktinformation (Men-Option)
:i1.Produktinformation (Men-Option)
Selektion dieser Option bewirkt die Anzeige der Produktinformation.

:h1 res=IDD_ABOUT.Produktinformation (Dialog)
:i1.Produktinformation (Dialog)
Das Dialogfenster zeigt den Namen des Programms, das zugehrige Symbol
und die Copyright-Information an.  Das Fenster kann verlassen werden,
indem man die Eingabetaste, die Leertaste oder ESC drckt oder auf den
OK-Knopf klickt.

:h1 res=IDM_KEYS_HELP.Hilfe fr Tasten
:i1.Hilfe fr Tasten
Die folgenden Funktionstasten wurden fr dieses Programm definiert:
:sl compact.
:li.F1 - Hilfe
:li.F2 - Werte speichern
:li.F3 - Ende
:li.Alt+C - Konfiguration
:li.Alt+H - Ohne Rahmen
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Initialisierungspfad setzen (Dialog)
:i1.Initialisierungspfad setzen (Dialog)
Dieser Dialog wird angezeigt, wenn das Programm seine
Initialisierungsdatei (INI) nicht finden kann.  Er fragt danach, wo
die Datei ist oder wo sie angelegt werden soll.
:p.
Nur ein gltiger
Verzeichnisname wird akzeptiert.  Wenn Sie den Namen eingegeben haben,
drcken Sie die ENTER-Tast oder klicken Sie auf den OK-Knopf, damit
das Programm fortfhrt.
:p.
Wenn Sie die Initialisierungssequenz
abbrechen wollen, drcken Sie die ESC-Taste oder klicken auf den
`Abbruch'-Knopf.

:euserdoc.



