#include "memsize.h"
:userdoc.
:title.'Ayuda de Recursos del Sistema OS/2'
:body.

:h1 res=ID_MAIN.Introduccin
:i1.Introduccin
:artwork name='memsize.bmp' align=center.
:p.
Este programa muestra por pantalla diferentes informaciones sobre los
recursos del sistema, y los actualiza una vez por segundo, si es que el
procesador tiene tiempo para hacerlo. Las informaciones que se muestran
son:
:p.
:hp2.Fecha/Hora:ehp2. - La fecha y hora actual, en el formado normal
de cada pas, dependiendo de como est configurada la lnia COUNTRY=
del fichero CONFIG.SYS
:p.
:hp2.Tiempo transcurrido:ehp2. - El tiempo que ha pasado desde la ltima
vez que se arranc el ordenador.
:p.
:hp2.Physical Memory Free:ehp2. - La cantidad de memoria libre del
sistema, de acuerdo con el valor devuelto por la funcin
:hp1.DosMemAvail:ehp1.. En el OS/2 2.0, se indica el tamao de la memoria fsica
no utilizada o bien 512 KB, dependiendo de cual sea el valor ms grande.
:p.
:hp2.Virtual Memory Free:ehp2. - The amount of virtual memory
available, according to the :hp1.DosQuerySysInfo:ehp1. function.
This is the amount of free physical memory, plus the amount of
free space within the current swapping file, plus the amount of
space by which the swapping file could yet grow, less the amount
of free space reserved on the swapping drive.
:p.
:hp2.Tamao del fichero de intercambio:ehp2. - El tamao que ocupa en el
disco el fichero de memoria virtual de intercambio (swap), SWAPPER.DAT.
Para localizar este fichero, busque en el fichero CONFIG.SYS la lnea
que empieza con SWAPPATH, dnde est indicado el nombre completo
(incluido el directorio) del fichero de intercambio, as como el espacio
que se debe reservar en la unidad dnde se encuentra este fichero.
:p.
:hp2.Espacio disponible para el fichero de intercambio:ehp2. - La
cantidad total de espacio en la unidad de disco dnde se encuentra el
fichero de intercambio, menos la cantidad de espacio que debe
reservarse. Este valor es el tamao mximo que puede utilizar el fichero
de intercambio.
:p.
:hp2.Tamao del fichero del spooler:ehp2. - La cantidad total de disco
consumida por los ficheros enviados al spooler de la impresora.
:p.
:hp2.Porcentaje de utilizacin de la CPU:ehp2. - El porcentaje
aproximado de utilizacin de la CPU. El valor que se muestra es el
porcentaje correspondiente al promedio de utilizacin del ltimo
segundo.
:Note.Esta funcin y el PULSE que se incluye con el OS/2 2.0, no son muy
compatibles.
:p.
:hp2.Nmero de tareas activas:ehp2. -
El nmero de elementos en la lista de ventanas, que es la lista que se
visualiza cuando pulsamos CTRL-ESC.
:note.No todas las tareas del sistema se muestran en la Lista de
Ventanas, ya que algunas de estas tareas no son visibles.
:p.
:hp2.Espacio libre total:ehp2. - La suma del espacio libre en todas las
unidades locales de disco (no removibles).
:p.
:hp2.Espacio libre en la unidad X:ehp2. - La cantidad de espacio libre
en el disco X.
:p.
Esta ayuda es sensible al contexto, como ya se habr dado cuenta. El
acceso a las siguientes funciones se realiza a travs del men de
sistema de la ventana:
:sl compact.
:li.:hpt.Grabar configuracin:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Restaurar los valores por defecto:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Esconder los controles:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configuracin...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.Informacin del producto:ehpt.:hdref res=IDM_ABOUT.
:esl.:p.
Aparte de estas funciones, el programa accepta ordenes de los
controladores de fuentes y de la paleta de colores del OS/2 2.0

:h1 res=IDM_SAVE_APPLICATION.Grabar la configuracin (Opcin del men)
:i1.Grabar la configuracin (Opcin del men)
Cuando se selecciona esta opcin del men, el programa guarda la posicin
actual en la pantalla as como el estado de los controles. La prxima
vez que se ejecute el programa, lo har en la misma posicin y con los
controles ocultos (o visibles), de acuerdo con la informacin grabada.
:p.
La tecla aceleradora asignada a esta funcin es F2.

:h1 res=IDM_RESET_DEFAULTS.Restaurar los valores por defecto (Opcin del men)
:i1.Restaurar los valores por defecto (Opcin del men)
Seleccionado esta opcin del men, se restaura el tipo de letra y los
atributos de color a sus valores por defecto.

:h1 res=IDM_HIDE_CONTROLS.Esconder los controles (Opcin del men)
:i1.Esconder los controles (Opcin del men)
Cuando esta opcin del men est seleccionada, obliga a los controles de
la ventana del programa (el men de sistema, la barra con el ttulo y el
botn de minimizacin) esten ocultos. Es posible variar el valor de esta
funcin pulsando dos veces el botn del mouse dentro de la ventana.
.br
La tecla aceleradora asignada a esta funcin es ALT+H.

:h1 res=IDM_CONFIGURE.Configurar (Opcin del men)
:i1.Configurar (Opcin del men)
Cuando se selecciona esta opcin del men, aparecer la pantalla de
configuracin del programa.
:note.La tecla aceleradora asignada a esta funcin es Alt+C.

:h1 res=IDD_CONFIGURE.Configurar (Pantalla)
:i1.Configurar (Pantalla)
Esta pantalla nos permite cambiar todos los aspectos configurables
de la operacin del programa. Para salir sin efectuar ningn cambio,
se debe pulsar la tecla ESCAPE o bien hacer un click en el botn Anular.
Para grabar los cambios realizados, pulsar la tecla ENTER o bien
hacer un click en el botn OK.
.br
Los elementos configurables son los siguientes:
:p.
:hp2.Elementos a mostrar:ehp2.
Podemos seleccionar varios o todos los elementos que debern
monitorizarse. Slo deberemos pulsar en un elemento para
seleccionarlo, o bien hacer otro click para desmarcarlo. Aquellos
elementos marcados son los que se visualizarn.
:p.
:hp2.Esconder los controles:ehp2.
Cuando el programa no est en forma de icono, lo podremos ver con o
sin los elementos normales de las ventanas: barra de ttulo, men de
sistema y botones de maximizar y minimizar. Si escogemos de esconder
los controles, todava podemos cambiar la posicin de visualizacin 
arrastrando la ventana con el mouse.
:p.
:hp2.Quedar en primer plano:ehp2.
Este botn activa la funcin de quedar siempre en primer plano.
Cuando este botn estan marcado, la ventana del programa quedar
siempre en el primer plano de visualizacin, de forma que siempre
ser visible.
:p.
:hp2.Animacin:ehp2.
Este botn activa la funcin de animacin al abrir y cerrar la
ventana. Cuando est seleccionada, la ventana del programa se abrir
de la misma forma que lo hacen las carpetas: con sonido y
movimiento. De la misma forma que con las carpetas, no habr ninguna
animacin si esta ha sido deshabilitada a nivel de sistema.
:p.
:hp2.Mostrar el nombre del sistema de ficheros:ehp2.
Si este botn est marcado se indicar, adems de indicar el espacio
libre el nombre del sistema de ficheros de la unidad. El uso de esta
opcin implica una ventana un poco ms ancha.
:p.
:hp2.Show Disk Labels:ehp2.
This button causes the individual drive free space entries to show their
disk labels.  Use of this option results in a wider monitor window.
:p.
:hp2.Prioridad de monitorizacin:ehp2.
Esta opcin nos permitir establecer el valor de prioridad del
thread de monitorizacin, dentro de la categoria de tiempo-crtico.
Podemos variar la prioridad entre 0 y 31. La prioridad 31 es el
valor ms elevado del sistema, por debajo de las interrupciones
fsicas. La prioridad 0 es el valor ms bajo dentro de la categora
tiempo-crtico. Normalmente, este valor tiene que estar configurado
al mximo para obtener un valor ms preciso. No obstante, algunos
usuarios han informado que, ocasionalmente, pierden algunos
caracteres en las comunicaciones que se realizan mientras se est
ejecutando el programa. Es por esto que la prioridad es, ahora,
configurable.
:p.
:hp2.Intervalo de tiempo:ehp2.
Esta opcin nos permite establecer el intervalo de actualizacin de
la ventana. Puede variar entre 1.0 segundos hasta 30.0 segundos, en
intervalos de 1 dcima de segundo. El nmero se muestra en dcimas
de segundo.
:h1 res=IDM_ABOUT.Informacin del producto (Opcin del men)
:i1.Informacin del producto (Opcin del men)
Esta opcin muestra, cuando se selecciona, informacin sobre el
programa.

:h1 res=IDD_ABOUT.Informacin del producto (Caja de dilogo)
:i1.Informacin del producto (Cajaa de dilogo)
Esta caja de dilogo muestra el nombre del programa, el icono y
informacin sobre los derechos de copia y el autor.

Para salir de esta caja de dilogo, se puede pulsar cualquiera de estas
teclas: ENTER, la barra de espacios o bien ESCAPE. Tambin se puede
salir seleccionando el botn OK con el mouse.

:h1 res=IDM_KEYS_HELP.Ayuda de las teclas
:i1.Ayuda de las teclas
Las siguientes teclas de funcin se han definido para el uso de este
programa:
:sl compact.
:li.F1 - Ayuda
:li.F2 - Grabar la configuracin
:li.F3 - Salir
:li.Alt+C - Configurar
:li.Alt+H - Esconder los controles
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Indicar el directorio del fichero .INI. (Caja de dilogo)
:i1.Indicar el directorio del fichero .INI. (Caja de dilogo)
Esta caja de dilogo se muestra cuando el programa no puede
encontrar su fichero .INI y pregunta cual es el nombre de este
fichero y en qu directorio se encuentra.
:p.
Slo se acceptan nombres
vlidos de directorios ya existentes. Una vez que se haya escrito
el nombre, pulsando INTRO (RETURN) o bien haciendo un click en el
botn "OK" permite al programa continuar su secuencia de
inicializacin.
:p.
Si, por contra, se desea cortar la inicializacin
del programa, se debe pulsar la tecla ESC o bien hacer un click en
el botn de anulacin.

:euserdoc.
