#include "memsize.h"
:userdoc.
:title.Aide de 'Ressources systme'
:body.

:h1 res=ID_MAIN.Introduction
:i1.Introduction
:artwork name='memsize.bmp' align=center.
:p.
Ce programme affiche plusieurs lments relatifs aux ressources du
systme, et met  jour ces informations une fois par seconde s'il
dispose de suffisamment de ressources processeur pour cela. Les lments
affichs sont&colon.
:p.
:hp2.Date/heure:ehp2. - L'heure et la date, dans le format dfini par
les informations de pays de votre systme (d'aprs la ligne COUNTRY=
de votre fichier CONFIG.SYS).
:p.
:hp2.Temps coul:ehp2. - Le temps coul depuis que le systme a t
lanc pour la dernire fois.
:p.
:hp2.Mmoire physique libre:ehp2. - La quantit de mmoire systme
libre, d'aprs la fonction :hp1.DosMemAvail:ehp1.. Sous OS/2 2/0, la
quantit relle de mmoire physique inutilise est affiche, ou 512k, le
plus grand des deux.
:p.
:hp2.Mmoire virtuelle libre:ehp2. - La quantit de mmoire virtuelle
disponible, d'aprs la fonction :hp1.DosQuerySysInfo:ehp1.. Il s'agit de
la quantit de mmoire physique libre, plus l'espace libre dans le
fichier d'change, plus l'espace disponible pour l'augmentation du
fichier d'change, moins l'espace libre minimum rserv sur le disque
d'change.
:p.
:hp2.Taille fichier d'change:ehp2. - La taille actuelle du fichier
d'change du systme, :hp4.SWAPPER.DAT:ehp4..
Pour localiser le fichier, l'entre :hp4.SWAPPATH:ehp4. est recherche
dans le fichier :hp4.CONFIG.SYS:ehp4.. Cette entre fournit le nom du
rpertoire o est stock le fichier d'change et indique l'espace
minimum qui doit tre laiss disponible sur le disque du fichier
d'change.
:p.
:hp2.Espace d'change libre:ehp2. - La quantit d'espace libre sur
le disque o rside le fichier d'change, moins l'espace libre minimum.
Ceci reprsente l'augmentation potentielle maximale du fichier
d'change.
:p.
:hp2.Taille fichier d'impression:ehp2. - L'espace disque
utilis par les fichiers d'attente d'impression.
:p.
:hp2.Charge processeur (%):ehp2. - Le pourcentage approximatif de la
puissance du processeur utilise. Il s'agit d'une moyenne calcule
pendant la seconde prcdente.
:note.Cette fonction et l'application :hp4.Activit du processeur:ehp4.
ne cohabitent pas trs bien.
:p.
:hp2.Nombre de tches actives:ehp2. - Le nombre de lignes dans la
liste des tches du systme, qui est la liste affiche quand vous
pressez les touches :hp4.Ctrl:ehp4. et :hp4.chap:ehp4..
:note.Toutes les entres de la liste des tches du systme ne sont pas
affiches dans la :hp4.Liste de fentres:ehp4.. Certaines sont
configures pour ne pas tre affiches.
:p.
:hp2.Espace disque libre total:ehp2. - La somme de l'espace libre sur
tous les disques fixes locaux.
:p.
:hp2.Libre sur X:ehp2. - L'espace libre sur le disque X.
:p.
Comme vous avez dj pu le constater, l'aide en ligne est disponible, et
les commandes du programme peuvent tre atteintes via le menu systme de
la fentre. Les commandes suivantes sont disponibles&colon.
:sl compact.
:li.:hpt.Sauvegarder la configuration:ehpt.:hdref res=IDM_SAVE_APPLICATION.
:li.:hpt.Rinitialiser l&apos.environnement:ehpt.:hdref res=IDM_RESET_DEFAULTS.
:li.:hpt.Cacher la barre de titre:ehpt.:hdref res=IDM_HIDE_CONTROLS.
:li.:hpt.Configuree...:ehpt.:hdref res=IDM_CONFIGURE.
:li.:hpt.A propos:ehpt.:hdref res=IDM_ABOUT.
:esl.:p.
En plus des fonctionnalits dj dcrites, le programme accepte les
commandes provenant des gestionnaires de polices et de couleurs d'OS/2

:h1 res=IDM_SAVE_APPLICATION.Sauvegarder la configuration (Option de menu)
:i1.Sauvegarder la configuration (Option de menu)
Quand cette option de menu est slecte, le programme enregistre sa
position sur l&apos.cran et l&apos.tat de l&apos.option :hp4.Cacher la
barre de titre:ehp4.. La prochaine fois que le programme est lanc, la
configuration actuelle sera rutilise.
:p.
:note. La touche de raccourci pour cette fonction est :hp4.F2:ehp4..

:h1 res=IDM_RESET_DEFAULTS.Rinitialiser l&apos.environnement (Option de menu)
:i1.Rinitialiser l&apos.environnement (Option de menu)
Cette option de menu entrane la rinitialisation des attributs de
police et de couleur du programme  leurs valeurs par dfaut.

:h1 res=IDM_HIDE_CONTROLS.Cacher la barre de titre (Option de menu)
:i1.Cacher la barre de titre (Option de menu)
La slection de cette option de menu entrane la disparition de la barre
de titre de la fentre, et des contrles qui y sont associs (le menu
systme, la plaquette de rduction). Cette option peut tre inverse en
cliquant deux fois l&apos.un des boutons de la souris. De plus, comme il
m&apos.a sembl trs utile de pouvoir dplacer la fentre quand la barre
de titre est absente, la fentre est configure de telle sorte que vous
pouvez la faire glisser en pressant l&apos.un des boutons de la souris.
:p.
:note.La touche de raccourci pour cette fonction est :hp4.Alt+H:ehp4..

:h1 res=IDM_CONFIGURE.Configurer (Option de menu)
:i1.Configurer (Option de menu)
La slection de cette option de menu entrane l'apparition de la bote
de dialogue de configuration du programme.
:note.Le raccourci clavier pour cette commande est :hp4.Alt+C:ehp4..

:h1 res=IDD_CONFIGURE.Configurer (Dialogue)
:i1.Configurer (Dialogue)
Cette bote de dialogue vous permet de modifier tous les aspects
configurables du comportement de ce programme. Pour quitter ce dialogue
sans effectuer de changement, pressez la touche :hp4.chap:ehp4. ou
slectez la plaquette :hp4.Annuler:ehp4.. Pour valider les changements
que vous avez effectus, pressez la touche :hp4.Entre:ehp4. ou slectez
la plaquette :hp4.Ok:ehp4..
.br
Les lments configurables sont les suivants:
:p.
:hp2.Donnes affichs:ehp2.
Les articles que vous slectionnerez dans la liste des :hp4.Donnes
affiches:ehp4. seront surveills et affichs par le programme. Les
articles en surbrillance sont surveills. Pour mettre un article en
surbrillance, slectez-le  l'aide de la souris. Pour supprimer la
surbrillance, slectez  nouveau l'article.
:p.
:hp2.Cacher la barre de titre:ehp2.
Quand la fentre du programme n'est pas rduite, elle peut apparatre
avec ou sans la barre de titre, le menu systme et les boutons de
rduction et d'agrandissement. La fentre peut tre dplace en la
faisant glisser.
:p.
:hp2.Toujours visible:ehp2.
Quand cette case est coche, 'Ressources systme' reste visible en
permanence.
:p.
:hp2.Animer:ehp2.
Cette case active l'animation lors de l'ouverture et de la fermeture de
la fentre. Quand cette case est coche, la fentre du programme s'ouvre
et se ferme de la mme faon que les dossiers: avec un accompagnement
sonore et une animation. De mme que pour les dossiers, cette
fonctionnalit doit tre autorise dans la configuration du systme.
:p.
:hp2.Afficher systme de fichiers:ehp2.
Lorsque cette case est coche, chaque ligne affichant l'espace
disponible sur un disque indique le type de systme de fichiers utilis
par le disque. L'utilisation de cette option entrane une fentre de
surveillance plus large.
:p.
:hp2.Afficher noms d'units:ehp2.
Lorsque cette case est coche, chaque ligne affichant l'espace
disponible sur un disque indique le label de volume du disque.
L'utilisation de cette option entrane une fentre de surveillance plus
large.
:p.
:hp2.Priorit:ehp2.
Ce champ vous permet de dfinir la priorit de la routine de
surveillance du programme, dans la classe de priorit time-critical.
Vous pouvez faire varier la priorit de 0  31. Une priorit de 31 est
la plus haute priorit possible dans le systme,  exception faite des
interruptions matrielles. La priorit 0 est la priorit la plus basse
de la classe time-critical. Pour obtenir la plus grande prcision dans
la mesure de la charge du processeur, vous devriez utiliser la valeur
maximale. Toutefois, certains utilisateurs se sont plaints du fait que
leur programme de communication manquait occasionnellement des donnes
quant le programme s'excute. C'est la raison pour laquelle la priorit
est maintenant modifiable.
:p.
:hp2.Priode de mise  jour:ehp2.
Ce champ vous permet de dfinir le temps s'coulant entre deux mises 
jour de la fentre de surveillance. Cette priode peut varier de une 
trente secondes, par palier d'un dixime de seconde. Le nombre affich
exprime des diximes de seconde.

:h1 res=IDM_ABOUT.A propos (Option de menu)
:i1.A propos (Option de menu)
Cette option fait apparatre la fentre d&apos.informations sur le
programme.

:h1 res=IDD_ABOUT.A propos (Dialogue)
:i1.A propos (Dialogue)
Cette bote de dialogue affiche le nom du programme, l'icne et les
informations de Copyright. Pour quitter le dialogue, pressez la touche
:hp4.Entre:ehp4., la barre d'espacement ou la touche :hp4.chap:ehp4..

:h1 res=IDM_KEYS_HELP.Aide sur les touches
:i1.Aide sur les touches
Les touches de fonction suivantes sont disponibles dans ce
programme&colon.
:sl compact.
:li.F1 - Aide
:li.F2 - Sauvegarder la configuration
:li.F3 - Sortie
:li.Alt+C - Configurer
:li.Alt+H - Cacher la barre de titre
:esl.:p.

:h1 res=IDD_PROFILE_PATH.Rpertoire configuration
:i1.Rpertoire configuration
Cette bote de dialogue est affiche quand le programme ne trouve pas
son fichier de configuration (.INI), et demande o ce fichier se trouve
ou l&apos.endroit o il doit tre cr.
:p.
Seul un nom de rpertoire existant sera accept. Une fois le nom entr,
pressez la touche :hp4.Entre:ehp4. ou slectez la plaquette
:hp4.Ok:ehp4. pour que le programme continue son excution.
:p.
Si vous voulez interrompre l'initialisation du programme, pressez la
touche :hp4.chap:ehp4. ou slectez la plaquette :hp4.Annuler:ehp4..

:euserdoc.

